pydo.vpc_subnet_routes.list()
Generated on 1 Oct 2026
from pydo version
v0.43.0
Usage
client.vpc_subnet_routes.list(
vpc_uuid="997615ce-132d-4bae-9270-9ee21b395e5d",
subnet_uuid="4de7ac8b-495b-4884-9a69-1050c6793cd6",
per_page=20,
page=1,
)Description
To list routes for a VPC subnet, send a GET request to
/v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid}/routes. The response includes
VPC-scoped routes propagated into the subnet and subnet-scoped routes.
Parameters
vpc_uuidstring requiredThe unique identifier of the VPC.
subnet_uuidstring requiredThe unique identifier of the VPC subnet.
per_pageinteger optionalNumber of items returned per page
pageinteger optionalWhich 'page' of paginated results to return.
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.vpc_subnet_routes.list(vpc_uuid="997615ce-132d-4bae-9270-9ee21b395e5d", subnet_uuid="4de7ac8b-495b-4884-9a69-1050c6793cd6", )
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.vpc_subnet_routes.list(vpc_uuid="997615ce-132d-4bae-9270-9ee21b395e5d", subnet_uuid="4de7ac8b-495b-4884-9a69-1050c6793cd6", page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid}/routes in the API reference for additional detail on responses, headers, parameters, and more.